=== debian/control ===
Source: libkgapi
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.28.0~),
               libkf5calendarcore-dev (>= 4:19.08.3~),
               libkf5contacts-dev (>= 4:19.08.3~),
               libkf5coreaddons-dev (>= 5.28.0~),
               libkf5kio-dev (>= 5.28.0~),
               libkf5wallet-dev,
               libkf5windowsystem-dev (>= 5.28.0~),
               libqt5webchannel5-dev,
               libqt5webkit5-dev (>= 5.2.0~),
               libsasl2-dev,
               libssl-dev,
               pkg-kde-tools (>= 0.5.0),
               qtbase5-dev (>= 5.6.0~),
               qtpositioning5-dev,
               qttools5-dev (>= 5.6.0~),
               qttools5-dev-tools (>= 5.6.0~),
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/libkgapi
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkgapi
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkgapi

Package: libkf5gapi-data
Architecture: any
Depends: libkpim5gapi-data, ${misc:Depends}, ${shlibs:Depends}
Section: oldlibs
Priority: optional
Description: Google API library for KDE -- transitional
 LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
 for various Google services.
 .
 This is a transitional package which can be safely removed.

Package: libkpim5gapi-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Conflicts: libkf5gapi-data (<< 16.12)
Breaks: ${kde-l10n:all}
Replaces: libkf5gapi-data (<< 16.12),
          libkpimgapi-data,
          ${kde-l10n:all},
Description: Google API library for KDE -- data files
 LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
 for various Google services.
 .
 This package contains data files.

Package: libkpimgapi-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5calendarcore-dev (>= 4:19.08.3~),
         libkf5contacts-dev (>= 4:19.08.3~),
         libkf5coreaddons-dev (>= 5.12.0~),
         libkpim5gapiblogger5 (= ${binary:Version}),
         libkpim5gapicalendar5 (= ${binary:Version}),
         libkpim5gapicore5 (= ${binary:Version}),
         libkpim5gapidrive5 (= ${binary:Version}),
         libkpim5gapilatitude5 (= ${binary:Version}),
         libkpim5gapimaps5 (= ${binary:Version}),
         libkpim5gapipeople5 (= ${binary:Version}),
         libkpim5gapitasks5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Google API library for KDE -- development files
 LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
 for various Google services.
 .
 This package contains development files for building software that uses
 the LibKGAPI library.

Package: libkpim5gapiblogger5
Architecture: any
Multi-Arch: same
Depends: libkpim5gapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Provides: ${ABI:VirtualPackage},
Description: library to integrate with Google Blogger service API
 This package is part of libkgapi.

Package: libkpim5gapicalendar5
Architecture: any
Multi-Arch: same
Depends: libkpim5gapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Provides: ${ABI:VirtualPackage},
Description: library to integrate with Google Calendar service API
 This package is part of libkgapi.

Package: libkpim5gapipeople5
Architecture: any
Multi-Arch: same
Depends: libkpim5gapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Provides: ${ABI:VirtualPackage},
Description: library to integrate with Google Contacts service API
 This package is part of libkgapi.

Package: libkpim5gapicore5
Architecture: any
Multi-Arch: same
Depends: libkpim5gapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Provides: ${ABI:VirtualPackage},
Description: core library to integrate with Google service APIs
 This package is part of libkgapi.

Package: libkpim5gapidrive5
Architecture: any
Multi-Arch: same
Depends: libkpim5gapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Provides: ${ABI:VirtualPackage},
Description: library to integrate with Google Drive service API
 This package is part of libkgapi.

Package: libkpim5gapilatitude5
Architecture: any
Multi-Arch: same
Depends: libkpim5gapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Provides: ${ABI:VirtualPackage},
Description: library to integrate with Google Latitude service API
 This package is part of libkgapi.

Package: libkpim5gapimaps5
Architecture: any
Multi-Arch: same
Depends: libkpim5gapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Provides: ${ABI:VirtualPackage},
Description: library to integrate with Google Maps service API
 This package is part of libkgapi.

Package: libkpim5gapitasks5
Architecture: any
Multi-Arch: same
Depends: libkpim5gapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Provides: ${ABI:VirtualPackage},
Description: library to integrate with Google Tasks service API
 This package is part of libkgapi.

Package: libsasl2-modules-kdexoauth2
Architecture: any
Multi-Arch: same
Depends: libkpim5gapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kdepim-runtime (<< 4:18.07.70)
Replaces: kdepim-runtime (<< 4:18.07.70)
Provides: ${ABI:VirtualPackage},
Description: library to integrate with Cyrus SASL
 This package is part of libkgapi.
